Name:		intltool
Summary:	This module contains some scripts and assorted auto* magic for internationalizing various kinds of data files.
Version: 	0.11
Release: 	1
License: 	GPL
Group:		Development/Tools
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.gz
URL: 		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
Obsoletes:      xml-i18n-tools

%description
** Automatically extracts translatable strings from oaf, glade, bonobo
   ui, nautilus theme and other files into the po files.

** Automatically merges translations from po files back into .oaf files
  (encoding to be 7-bit clean). Also merges into other kinds of files.

%prep
%setup -q

%build
%ifarch alpha
  MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG

CFLAGS="$RPM_OPT_FLAGS" ./configure $MYARCH_FLAGS --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} \
    --bindir=%{_bindir} 

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} \
    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
    mandir=$RPM_BUILD_ROOT/%{_mandir} \
    bindir=$RPM_BUILD_ROOT/%{_bindir} install 

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/*
%doc AUTHORS COPYING ChangeLog NEWS README
%{_mandir}/man8/*
%{_datadir}/aclocal/*
%{_datadir}/intltool/*

%changelog
* Sat Oct 27 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- removed unnecessary %defines
- made %files more like Red Hat does it
- replaced copyright with license
- made setup quiet
- added bindir and mandir to configure/make install, to ensure that
  things don't get lost (man pages would not have gotten to the right
  place on Red Hat 6 with the old setup) 

* Wed Sep 19 2001 John Gotts <jgotts@linuxsavvy.com>
- Improved the URL.  Added the appropriate Obsoletes:.  Removed the incorrect
  and preliminary development package stuff.  The datadir changed names and the
  files shouldn't be executable.  Added the man pages to the build.

* Sun Feb 18 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- Changes to make the spec file more portable across RPM based
  systems.  Changes mainly consisted of using macros better, and
  removing any hard-coded paths.

* Thu Jan 04 2000 Robin * Slomkowski <rslomkow@eazel.com>
- created this thing
